Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1510650 - Action buttons missing when Adding or Editing Policy Profile
Summary: Action buttons missing when Adding or Editing Policy Profile
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.9.0
Hardware: All
OS: All
high
high
Target Milestone: GA
: 5.9.0
Assignee: Eric Winchell
QA Contact: Dmitry Misharov
URL:
Whiteboard: control:ui
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-07 22:12 UTC by Greg Piatigorski
Modified: 2018-03-06 15:06 UTC (History)
7 users (show)

Fixed In Version: 5.9.0.8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-03-06 15:06:05 UTC
Category: ---
Cloudforms Team: ---


Attachments (Terms of Use)
Add Policy Profile page sans buttons (deleted)
2017-11-07 22:12 UTC, Greg Piatigorski
no flags Details
Edit Policy profile sans buttons (deleted)
2017-11-07 22:12 UTC, Greg Piatigorski
no flags Details

Description Greg Piatigorski 2017-11-07 22:12:01 UTC
Created attachment 1349137 [details]
Add Policy Profile page sans buttons

Description of problem:

When Adding new or Editing existing Policy Profile Add/Edit and Cancel buttons are not displayed on the page. Please see attached screen images for both Add and Edit scenarios.


Version-Release number of selected component (if applicable):
5.9

How reproducible:
Always


Steps to Reproduce:
1. Click on Control => Explorer, then click on Policy Profiles accordion.
2. Click on All Policy profiles
3. In the Configuration drop down select Add a New Policy Profile 

Actual results:
Page is rendered sans Add/Edit and Cancel buttons.


Expected results:
Add/Edit and Cancel buttons should be rendered enabling users to either complete Add/Edit or Cancel out of action. 

Additional info:

Comment 2 Greg Piatigorski 2017-11-07 22:12:50 UTC
Created attachment 1349140 [details]
Edit Policy profile sans buttons

Comment 4 Dmitry Misharov 2017-11-13 07:24:28 UTC
Fixed and verified in 5.9.0.8.20171109215303_ed87902.

Comment 5 CFME Bot 2017-11-29 20:34:56 UTC
New commit detected on ManageIQ/manageiq-ui-classic/gaprindashvili:
https://github.com/ManageIQ/manageiq-ui-classic/commit/c03b8fb599102cba14baae5037ab1c8e46c66312

commit c03b8fb599102cba14baae5037ab1c8e46c66312
Author:     Dan Clarizio <dclarizi@redhat.com>
AuthorDate: Thu Nov 9 09:50:13 2017 -0800
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Thu Nov 9 13:11:29 2017 -0500

    Merge pull request #2685 from ManageIQ/revert-2618-form_button_cleanup1
    
    Revert "form button styling clean up"
    (cherry picked from commit 36b7cf1731b4437dd225aaed0e2fc1118e57cbfe)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1511340
    https://bugzilla.redhat.com/show_bug.cgi?id=1510911
    https://bugzilla.redhat.com/show_bug.cgi?id=1511192
    https://bugzilla.redhat.com/show_bug.cgi?id=1511188
    https://bugzilla.redhat.com/show_bug.cgi?id=1510650
    https://bugzilla.redhat.com/show_bug.cgi?id=1511325
    https://bugzilla.redhat.com/show_bug.cgi?id=1511542

 app/assets/stylesheets/patternfly_overrides.scss   |  15 +-
 app/views/layouts/_x_dialog_buttons.html.haml      | 105 ++++----
 app/views/layouts/_x_edit_buttons.html.haml        | 264 ++++++++++-----------
 app/views/layouts/_x_form_buttons.html.haml        |   2 +-
 .../layouts/angular/_paging_div_buttons.html.haml  |   3 +-
 app/views/vm_common/_right_size.html.haml          |   2 +-
 6 files changed, 191 insertions(+), 200 deletions(-)


Note You need to log in before you can comment on or make changes to this bug.